/*-------------------------------------------------------------
 *  Copyright (c) 2010, MSS ComBlock. All rights reserved.
 *
 * 	Filename: usb1.h
 *  Last modified: 8/24/10
 *  Authors:
 *  	Alain Zarembowitch / MSS
 *  Version: 1.0
 *  Inheritance: USBCORE.h provided by NXP in LPC1700CMSIS. See Keil copyright statement below.
 ------------------------------------------------------------*/
/*----------------------------------------------------------------------------
 *      U S B  -  K e r n e l
 *----------------------------------------------------------------------------
 *      Name:    USBCORE.C
 *      Purpose: USB Core Module
 *      Version: V1.10
 *----------------------------------------------------------------------------
 *      This software is supplied "AS IS" without any warranties, express,
 *      implied or statutory, including but not limited to the implied
 *      warranties of fitness for purpose, satisfactory quality and
 *      noninfringement. Keil extends you a royalty-free right to reproduce
 *      and distribute executable files created using this software for use
 *      on NXP Semiconductors LPC family microcontroller devices only. Nothing
 *      else gives you the right to use this software.
 *
 *      Copyright (c) 2005-2009 Keil Software.
 *---------------------------------------------------------------------------*/

#ifndef USB1_H_
#define USB1_H_


extern void USB_ep0(long, long);
extern void USB_ep2(long, long);

// inherited (Keil)
extern void USB_SetupStage (void);
extern void USB_DataInStage (void);
extern void USB_DataOutStage (void);
extern void USB_StatusInStage(void);
extern void USB_DataOutStage(void);
extern unsigned long USB_GetDescriptor(void);

#endif /* USB1_H_ */
