/*-------------------------------------------------------------
 *  Copyright (c) 2010, MSS ComBlock. All rights reserved.
 *
 * 	Filename: usb0.h
 *  Last modified: 8/23/10
 *  Authors:
 *  	Alain Zarembowitch / MSS
 *  Version: 1.0
 *  Inheritance: N/A
 ------------------------------------------------------------*/

#ifndef USB0_H_
#define USB0_H_

#define USB_MAX_PACKET0     64

extern void usbInit(void);
extern void usbReset(void);
extern void sieCmd(unsigned long);
extern void sieCmdWrite(unsigned long , unsigned long );
extern long sieCmdRead(unsigned long );
extern void setAddress(long );
extern long getDeviceStatus(void);
extern void selectEndpoint(long );
extern void clearBuffer(void);
extern void clearStallEndpoint(long);
extern void setStallEndpoint(long);
extern void validateBuffer(void);
extern long usbReadEp(long, unsigned char *, long );
extern void usbWriteEp(long, unsigned char *, long );

#endif /* USB0_H_ */
